"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const R = __importStar(require("ramda"));
const types_1 = require("../types");
exports.isOrderEvent = R.allPass([R.has('event'), R.has('exchange')]);
exports.isAddOrUpdateOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.NormalizedMessageType.ADD),
]);
exports.isRemoveOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.NormalizedMessageType.REMOVE),
]);
exports.isSnapshotEvent = R.allPass([
    R.has('event'),
    R.propEq('event', types_1.NormalizedMessageType.SNAPSHOT),
]);
exports.debugAddOrUpdateOrderEvent = (value) => ['Adding / updating order %s.', value.id];
exports.debugRemoveOrderEvent = (value) => [
    'Removing order %s.',
    value.id,
];
exports.debugSnapshotEvent = (value) => [
    'Snapshot with %s orders (bids and asks).',
    value.orders.length,
];
exports.debugEvent = R.cond([
    [exports.isAddOrUpdateOrderEvent, exports.debugAddOrUpdateOrderEvent],
    [exports.isRemoveOrderEvent, exports.debugRemoveOrderEvent],
    [exports.isSnapshotEvent, exports.debugSnapshotEvent],
    [R.T, (...value) => [...value]],
]);
