import * as Rx from 'rxjs';
import { WebsocketEvent, WebsocketAction, RadarNewOrder, RadarFillOrder, RadarCancelOrder, RadarRemoveOrder, RadarBook } from '@radarrelay/types';
import { Options, SnapshotMessage, OrderMessage } from '../../types';
export declare const isSnapshotEvent: (payload: any) => payload is RadarBook;
export declare const isOrderEvent: (payload: any) => payload is WebsocketEvent;
export declare const isNewOrderEvent: (payload: WebsocketEvent) => payload is {
    action: WebsocketAction.NEW;
    event: RadarNewOrder;
};
export declare const isFillOrderEvent: (payload: WebsocketEvent) => payload is {
    action: WebsocketAction.FILL;
    event: RadarFillOrder;
};
export declare const isCancelOrderEvent: (payload: WebsocketEvent) => payload is {
    action: WebsocketAction.CANCEL;
    event: RadarCancelOrder;
};
export declare const isRemoveOrderEvent: (payload: WebsocketEvent) => payload is {
    action: WebsocketAction.CANCEL;
    event: RadarRemoveOrder;
};
export declare const observeRadarRelay: (options: Options) => Rx.Observable<OrderMessage | SnapshotMessage>;
